<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	  xmlns:v="urn:schemas-microsoft-com:vml">
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
    <title>Stop Mashup Coverage</title>
    <script src="http://maps.google.com/maps?file=api&amp;v=2.x&amp;key=local"
            type="text/javascript"></script>
    <script type="text/javascript">
    //<![CDATA[

    function load() {
        if (GBrowserIsCompatible()) {
	    map = new GMap2(document.getElementById("map"));
	    map.addControl(new GLargeMapControl());
	    map.addControl(new GMapTypeControl());

            new GKeyboardHandler(map);

	    map.setCenter(new GLatLng(45.43219, -75.691681), 11);
	    doUpdate();
	}
    }

    polygons = Array();

    function doUpdate() {
        GDownloadUrl("out/allsearched.xml", function(data, responseCode) {
            var xml = GXml.parse(data);
            var addrs
                = xml.documentElement.getElementsByTagName("address");

            map.clearOverlays();
            polygons = Array();

       	    map.addOverlay(new GPolygon([
                new GLatLng(45.519278, -75.941191),     // northwest
                new GLatLng(45.519278, -75.378571),     // northeast
                new GLatLng(45.224854, -75.378571),     // southeast
                new GLatLng(45.224854, -75.941191),     // southwest
                new GLatLng(45.519278, -75.941191)],
                "#000000", 4));

	    var countValid = 0;
	    for (var i = 0; i < addrs.length; i++) {
                var strlat = addrs[i].getAttribute("latitude");
                var strlng = addrs[i].getAttribute("longitude");
                if (!strlat || !strlng) {
                    continue;
                }
                ++countValid;

                var lat = parseFloat(strlat);
                var lng = parseFloat(strlng);
                map.addOverlay(new GMarker(new GLatLng(lat, lng)));

                var radius = 0.019/2.0;         // but it's a rectangle!
                polygons.push(new GPolygon([
                    new GLatLng(lat + radius, lng - radius),    // NW
                    new GLatLng(lat + radius, lng + radius),    // NE
                    new GLatLng(lat - radius, lng + radius),    // SE
                    new GLatLng(lat - radius, lng - radius),    // SW
                    new GLatLng(lat + radius, lng - radius)],   // NW
                    "#888888", 1, 0.8, "#9999cc", 0.25));
            }
            document.getElementById("numsearches").innerHTML = countValid;
        });
    }

    function doPolygons() {
        for (var i in polygons) {
            map.addOverlay(polygons[i]);
        }
    }

    //]]>
    </script>
  </head>
  <body onload="load()" onunload="GUnload()">
    <div id="map" style="width: 800px; height: 600px"></div>
    <div id="debug"></div>
    <div id="control">
        <input type="button" value="reload" onclick="doUpdate()"/>
        <input type="button" value="coverage" onclick="doPolygons()"/><br/>
        Search count: <span id="numsearches"/>
    </div>
  </body>
</html>
